"""
Defined feature maps to actual feature names via dataset
"""
feature_map = {
    "_id": "_id",
    "address": "address",
    "datetime": "datetime_add",
    "division": "division",
    "description": "event_desc",
    "id": "event_no",
    "type": "event_type",
    "lat": "latitude",
    "long": "longitude",
    "base": "weatherInfo.base",
    "weatherClouds": "weatherInfo.clouds.all",
    "weatherCod": "weatherInfo.cod",
    "weatherLat": "weatherInfo.coord.lat",
    "weatherLong": "weatherInfo.coord.lon",
    "weatherDt": "weatherInfo.dt",
    "weatherId": "weatherInfo.id",
    "weatherGrnd": "weatherInfo.main.grnd_level",
    "weatherHumidity": "weatherInfo.main.humidity",
    "weatherPressure": "weatherInfo.main.pressure",
    "weatherSealevel": "weatherInfo.main.sea_level",
    "weatherTemp": "weatherInfo.main.temp",
    "weatherTempmax": "weatherInfo.main.temp_max",
    "weatherTempMin": "weatherInfo.main.temp_min",
    "weatherName": "weatherInfo.name",
    "weatherRain1": "weatherInfo.rain.1h",
    "weatherRain3": "weatherInfo.rain.3h",
    "weatherSnow1": "weatherInfo.snow.1h",
    "weatherCountry": "weatherInfo.sys.country",
    "weatherId": "weatherInfo.sys.id",
    "weatherMsg": "weatherInfo.sys.message",
    "weatherSunrise": "weatherInfo.sys.sunrise",
    "weatherSunset": "weatherInfo.sys.sunset",
    "weatherSysType": "weatherInfo.sys.type",
    "weatherVisibility": "weatherInfo.visibility",
    "weather": "weatherInfo.weather",
    "weatherWindDeg": "weatherInfo.wind.deg",
    "weatherWindGust": "weatherInfo.wind.gust",
    "weatherWindSpeed": "weatherInfo.wind.speed",
    "x_coord": "x_coord",
    "y_coord": "y_coord",
    "month": "new.month",
    "day": "new.day",
    "hour": "new.hour",
    "minute": "new.minute",
    "day_of_week": "new.day_of_week",
    "road": "new.road_name",
    "road_curve": "new.mean_curve",
    "road_length": "new.mean_length",
    "road_volume": "new.mean_vol",
    "signals_near": "new.signals_near",
    "road_speed": "new.speed_limit",
    "road_cluster": "new.road_cluster",
    "weatherCategory": "new.weather_category",
    "sunrise": "new.sunrise",
    "sunset": "new.sunset",
    "sunrise_hour": "new.sunrise_hour",
    "sunrise_minute": "new.sunrise_minute",
    "sunset_hour": "new.sunset_hour",
    "sunset_minute": "new.sunset_minute",
    "pop_sq_mile": "PopSqMi",
    "population_info": "new.population_info",
    "income": "Median_Household_Income",
    "med_income": "new.median_income",
    "is_accident": "is_accident"
}
